# Class MachineAccuracy

java.lang.Object
jebl.math.MachineAccuracy

public class MachineAccuracy extends Object
determines machine accuracy

Version:
  $Id: MachineAccuracy.java 914 2008-05-22 05:14:44Z twobeers $
Author:
  Korbinian Strimmer, Alexei Drummond

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`EPSILON`
machine accuracy constant
`static final double`
`SQRT_EPSILON`
`static final double`
`SQRT_SQRT_EPSILON`

## Constructor Summary

Constructors
Constructor
Description
`MachineAccuracy()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`same(double a, double b)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EPSILON

public static final double EPSILON
machine accuracy constant

See Also:
  - Constant Field Values

### SQRT_EPSILON

public static final double SQRT_EPSILON

See Also:
  - Constant Field Values

### SQRT_SQRT_EPSILON

public static final double SQRT_SQRT_EPSILON

See Also:
  - Constant Field Values

## Constructor Details

### MachineAccuracy

public MachineAccuracy()

## Method Details

### same

public static boolean same(double a, double b)

Returns:
  true if the relative difference between the two parameters is no larger than SQRT_EPSILON. (TT: I think this means (b / (1+SQRT_EPSILON)) invalid input: '<'= a invalid input: '<'= b * (1+SQRT_EPSILON) )